Database Schema / Installer



  • Server
    • FOG Version: Running Version 1.3.5
      SVN Revision: 6067
    • OS: ubuntu 16.04
    Client
    • Service Version:
    • OS:
    Description

    So Fog was running fine for almost a year and then, I tried to use it today and got the dreaded: Database Schema Installer / Updater
    Your database connection appears to be invalid. FOG is unable to communicate with the database. There are many reasons why this could be the case. Please check your credentials in /var/www/html/fog/lib/fog/config.class.php. Also confirm that the database is indeed running. If credentials are correct, and if the Database service is running, check to ensure your filesystem has enough space.

    I have gone through the fixes listed in this forum and am stumped.
    my config.class.php has the following:

        define('DATABASE_TYPE', 'mysql'); // mysql or oracle
        define('DATABASE_HOST', 'localhost');
        define('DATABASE_NAME', 'fog');
        define('DATABASE_USERNAME', 'root');
        define('DATABASE_PASSWORD', "");
    

    Any help would be greatly appreciated! I have tried sudo service mysql stop (and start again) and that did nothing.


  • Senior Developer

    @Cmid Yep.

    Ubuntu decided that only “root” users can login with a password defined. You can’t even open mysql via terminal without sudo if there is no password set.



  • @Tom-Elliott

    Tom 1 Ubuntu 0 - worked perfect - thanks so much!

    Any idea what would of happened?


  • Senior Developer

    @Cmid That’s okay.



  • Before I rerun installer, I tried those lines. Those first one got me a Query OK, 0 rows affected

    However the 2nd command got me ERROR 1396 (HY000): Operation ALTER USER failed for ‘root’@‘127.0.0.1’


  • Senior Developer

    @Cmid Why does ubuntu hate me so much?

    Please open terminal and run:

    sudo mysql -u root
    ALTER USER 'root'@'localhost' IDENTIFIED WITH mysql_native_password BY '';
    ALTER USER 'root'@'127.0.0.1' IDENTIFIED WITH mysql_native_password BY '';
    exit
    

    Then rerun installer.



  • @Tom-Elliott

    • Here are the settings FOG will use:

    • Base Linux: Debian

    • Detected Linux Distribution: Ubuntu

    • Server IP Address: 10.1.20.111

    • Server Subnet Mask: 255.255.255.0

    • Interface: eno1

    • Installation Type: Normal Server

    • Donate: 0

    • Internationalization:

    • Image Storage Location: /images

    • Using FOG DHCP: No

    • DHCP will NOT be setup but you must setup your
      | current DHCP server to use FOG for PXE services.

    • On a Linux DHCP server you must set: next-server and filename

    • On a Windows DHCP server you must set options 066 and 067

    • Option 066/next-server is the IP of the FOG Server: (e.g. 10.1.20.111)

    • Option 067/filename is the bootfile: (e.g. undionly.kpxe)

    • Installation Started

    • Installing required packages, if this fails
      | make sure you have an active internet connection.

    • Adding needed repository…OK

    • Preparing Package Manager…OK

    • Packages to be installed:

       apache2 bc build-essential cpp curl g++ gawk gcc gzip htmldoc lftp libap                         ache2-mod-php7.1 libc6 libcurl3 m4 mysql-client mysql-server net-tools nfs-kerne                         l-server openssh-server php7.1 php7.1-bcmath php7.1-cli php7.1-curl php7.1-fpm p                         hp7.1-gd php7.1-json php7.1-ldap php7.1-mbstring php7.1-mcrypt php7.1-mysql php7                         .1-mysqlnd php-gettext sysv-rc-conf tar tftpd-hpa tftp-hpa unzip vsftpd wget xin                         etd zlib1g
      
    • Installing package: apache2…OK

    • Skipping package: bc…(Already Installe d)

    • Skipping package: build-essential…(Already Installe d)

    • Skipping package: cpp…(Already Installe d)

    • Skipping package: curl…(Already Installe d)

    • Skipping package: g++…(Already Installe d)

    • Skipping package: gawk…(Already Installe d)

    • Skipping package: gcc…(Already Installe d)

    • Skipping package: gzip…(Already Installe d)

    • Skipping package: htmldoc…(Already Installe d)

    • Skipping package: lftp…(Already Installe d)

    • Installing package: libapache2-mod-php7.1…OK

    • Skipping package: libc6…(Already Installed)

    • Skipping package: libcurl3…(Already Installed)

    • Skipping package: m4…(Already Installed)

    • Skipping package: mysql-client…(Already Installed)

    • Skipping package: mysql-server…(Already Installed)

    • Skipping package: net-tools…(Already Installed)

    • Skipping package: nfs-kernel-server…(Already Installed)

    • Skipping package: openssh-server…(Already Installed)

    • Installing package: php7.1…OK

    • Installing package: php7.1-bcmath…OK

    • Skipping package: php7.1-cli…(Already Installed)

    • Installing package: php7.1-curl…OK

    • Installing package: php7.1-fpm…OK

    • Installing package: php7.1-gd…OK

    • Skipping package: php7.1-json…(Already Installed)

    • Installing package: php7.1-ldap…OK

    • Installing package: php7.1-mbstring…OK

    • Installing package: php7.1-mcrypt…OK

    • Installing package: php7.1-mysql…OK

    • Skipping package: php7.1-mysql…(Already Installed)

    • Installing package: php-gettext…OK

    • Skipping package: sysv-rc-conf…(Already Installed)

    • Skipping package: tar…(Already Installed)

    • Skipping package: tftpd-hpa…(Already Installed)

    • Skipping package: tftp-hpa…(Already Installed)

    • Skipping package: unzip…(Already Installed)

    • Skipping package: vsftpd…(Already Installed)

    • Skipping package: wget…(Already Installed)

    • Skipping package: xinetd…(Already Installed)

    • Skipping package: zlib1g…(Already Installed)

    • Updating packages as needed…OK

    • Confirming package installation

    • Checking package: apache2…OK

    • Checking package: bc…OK

    • Checking package: build-essential…OK

    • Checking package: cpp…OK

    • Checking package: curl…OK

    • Checking package: g++…OK

    • Checking package: gawk…OK

    • Checking package: gcc…OK

    • Checking package: gzip…OK

    • Checking package: htmldoc…OK

    • Checking package: lftp…OK

    • Checking package: libapache2-mod-php7.1…OK

    • Checking package: libc6…OK

    • Checking package: libcurl3…OK

    • Checking package: m4…OK

    • Checking package: mysql-client…OK

    • Checking package: mysql-server…OK

    • Checking package: net-tools…OK

    • Checking package: nfs-kernel-server…OK

    • Checking package: openssh-server…OK

    • Checking package: php7.1…OK

    • Checking package: php7.1-bcmath…OK

    • Checking package: php7.1-cli…OK

    • Checking package: php7.1-curl…OK

    • Checking package: php7.1-fpm…OK

    • Checking package: php7.1-gd…OK

    • Checking package: php7.1-json…OK

    • Checking package: php7.1-ldap…OK

    • Checking package: php7.1-mbstring…OK

    • Checking package: php7.1-mcrypt…OK

    • Checking package: php7.1-mysql…OK

    • Checking package: php-gettext…OK

    • Checking package: sysv-rc-conf…OK

    • Checking package: tar…OK

    • Checking package: tftpd-hpa…OK

    • Checking package: tftp-hpa…OK

    • Checking package: unzip…OK

    • Checking package: vsftpd…OK

    • Checking package: wget…OK

    • Checking package: xinetd…OK

    • Checking package: zlib1g…OK

    • Configuring services

    • Setting up fog user…Already setup

    • Setting up fog password…OK

    • Stopping FOGMulticastManager.service Service…OK

    • Stopping FOGImageReplicator.service Service…OK

    • Stopping FOGSnapinReplicator.service Service…OK

    • Stopping FOGScheduler.service Service…OK

    • Stopping FOGPingHosts.service Service…OK

    • Stopping FOGSnapinHash.service Service…OK

    • Stopping FOGImageSize.service Service…OK

    • Setting up and starting MySQL…OK

    • Backing up user reports…Done

    • Stopping web service…OK

    • Setting up Apache and PHP files…OK

    • Testing and removing symbolic links if found…OK

    • Backing up old data…OK

    • Copying new files to web folder…OK

    • Creating config file…OK

    • Unzipping the binaries…Done

    • Copying binaries where needed…Done

    • Enabling apache and fpm services on boot…OK

    • Creating SSL Certificate…OK

    • Creating auth pub key and cert…OK

    • Resetting SSL Permissions…OK

    • Setting up SSL FOG Server…OK

    • Restarting Apache2 for fog vhost…OK

    • Changing permissions on apache log files…OK

    • Backing up database…OK

    • Updating Database…Failed!


  • Senior Developer

    @Cmid Please edit the /opt/fog/.fogsettings file.

    Remove the php_ver lines and remove the packages line.

    Rerun.

    This will force fog to remove all your current php and apache files (the application not your mysql or web information). This should correct the problem once you rerun. It may take a while longer to run as well.



  • Done

    I also remembered that in a panic I went ahead and downloaded the newest trunk as well.

    So I ran that and at the end I got:

    • Updating packages as needed…OK
    • Installing now everything is updated…Failed!

  • Senior Developer

    @Cmid Lose the php_ver arguments.



  • I actually tried that yesterday. Trying it again now using the following command which I used initially:
    php_ver=‘7.0’ php_verAdds=’-7.0’ ./installfog.sh -y


  • Senior Developer

    @Cmid Can you rerun the installer? It shouldn’t hurt anything.



  • Not on purpose… I would guess it is possible that some updates ran during a power outage.


  • Senior Developer

    Did you, by chance, run an update on the OS?


Log in to reply
 

1121
Online

39008
Users

10721
Topics

101805
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.